% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ranges_helpers.R
\name{txSeqsFromFa}
\alias{txSeqsFromFa}
\title{Get transcript sequence from a GrangesList and a faFile or BSgenome}
\usage{
txSeqsFromFa(grl, faFile, is.sorted = FALSE)
}
\arguments{
\item{grl}{a GRangesList object}

\item{faFile}{FaFile, BSgenome or fasta/index file path used to find the
transcripts}

\item{is.sorted}{a speedup, if you know the ranges are sorted}
}
\value{
a DNAStringSet of the transcript sequences
}
\description{
A small safety wrapper around \code{\link{extractTranscriptSeqs}}
For debug of errors do:
which(!(unique(seqnamesPerGroup(grl, FALSE)) %in% seqlevels(faFile)))
}
\details{
This happens usually when the grl contains chromsomes that the fasta
file does not have. A normal error is that mitocondrial chromosome is
called MT vs chrM even though they have same seqlevelsStyle. The
above line will give you which chromosome it is missing.
}
\seealso{
Other ExtendGenomicRanges: \code{\link{asTX}},
  \code{\link{coveragePerTiling}},
  \code{\link{overlapsToCoverage}},
  \code{\link{reduceKeepAttr}}, \code{\link{tile1}},
  \code{\link{windowPerGroup}}
}
\concept{ExtendGenomicRanges}
